sabre/event

sabre/event is a library for lightweight event-based programming

Installs: 57 240

Dependents: 7

Stars: 87

Watchers: 16

Forks: 6

Language: PHP

2.0.2 2015-05-19 10:24 UTC

README

A lightweight library for event-based development in PHP.

This library provides two patterns:

  1. EventEmitter
  2. Promises

Full documentation can be found on the website.

Installation

Make sure you have composer installed, and then run:

composer require sabre/event "~2.0.0"

For legacy reasons, we also provide a unsupported PHP 5.3 compatible version. We recommend that you update your servers and use the regular version instead, though.

Build status

branch status master Build Status 2.0 Build Status 1.0 Build Status php53 Build Status

Questions?

Head over to the sabre/dav mailinglist, or you can also just open a ticket on GitHub.

Made at fruux

This library is being developed by fruux. Drop us a line for commercial services or enterprise support.